Description: Remove dependency to libpth-dev
 which is actually not used at all.
Origin: vendor, https://salsa.debian.org/chinese-team/unicon/-/merge_requests/1
Forwarded: not-needed
Author: NIIBE Yutaka <gniibe@fsij.org>

Index: unicon/unicon/server/Makefile.in
===================================================================
--- unicon.orig/unicon/server/Makefile.in
+++ unicon/unicon/server/Makefile.in
@@ -7,7 +7,7 @@ APP_OBJS = TLS_HzInput.o TLS_ImmOp.o TLS
        TLS_PthSocket.o TLS_Debug.o \
        TLS_DoubleByteConvertor.o TLS_AsciiConvertor.o
 
-DLIB_OBJS = TLS_HzInput.o TLS_ImmOp.o TLS_MemFile.o TLS_PthSocket.o \
+DLIB_OBJS = TLS_HzInput.o TLS_ImmOp.o TLS_MemFile.o \
        TLS_Debug.o TLS_LibMain.o TLS_DoubleByteConvertor.o \
        TLS_AsciiConvertor.o
 
Index: unicon/unicon/server/TLS_LibMain.cpp
===================================================================
--- unicon.orig/unicon/server/TLS_LibMain.cpp
+++ unicon/unicon/server/TLS_LibMain.cpp
@@ -29,20 +29,15 @@
 #include <errno.h>
 #include <time.h>
 #include <sys/types.h>
-#include <sys/socket.h>
-#include <netinet/in.h>
-#include <arpa/inet.h>
 #include <signal.h>
 #include <netdb.h>
 #include <unistd.h>
 #include <iostream>
-#include <pth.h>
 
 #include <TLS_MemFile.hpp>
 #include <TLS_HzInput.hpp>
 #include <TLS_ImmOp.hpp>
 #include <ImmComm.h>
-#include <TLS_PthSocket.hpp>
 #include <TLS_LibMain.hpp>
 
 TLS_CImmOp *pMyCImmOp = NULL;
Index: unicon/unicon/client/Makefile.in
===================================================================
--- unicon.orig/unicon/client/Makefile.in
+++ unicon/unicon/client/Makefile.in
@@ -31,7 +31,7 @@ TLC_SocketClient.o: TLC_SocketClient.cpp
 	gcc $(CFLAGS) -c TLC_SocketClient.cpp -o TLC_SocketClient.o
 
 test: all $(SERVER_LIB)
-	g++ $(CFLAGS) -D__DLL_SUPPORT__ -ldl -lpth test.cpp $(PROG_LIB) $(SERVER_LIB) -o test
+	g++ $(CFLAGS) -D__DLL_SUPPORT__ -ldl test.cpp $(PROG_LIB) $(SERVER_LIB) -o test
 
 install: all
 #	mkdir -p $(prefix)/lib
Index: unicon/unicon/unicon/Makefile.in
===================================================================
--- unicon.orig/unicon/unicon/Makefile.in
+++ unicon/unicon/unicon/Makefile.in
@@ -4,7 +4,7 @@ PROG = unicon
 OBJS = ImmHzInput.o AImmHzInput.o Main.o UniKey.o \
         MyInputArea.o SysConfig.o MyConfig.o ConfigManager.o
 S_IMM_LIB = ../client/libimmclient.a
-D_IMM_LIB = ../client/libimmclient.a -lpth -ldl -L../server -Wl,-rpath=$(prefix)/lib/unicon -limm_server
+D_IMM_LIB = ../client/libimmclient.a -ldl -L../server -Wl,-rpath=$(prefix)/lib/unicon -limm_server
 
 #  CFLAGS = -g -Wall -I. -DSIMULATE_OS_KEY -DSIMULATE_OS_VIDEO
 # __CLIB24_SUPPORT__
